function fig = mainboard(varargin)
% This is the machine-generated representation of a Handle Graphics object
% and its children.  Note that handle values may change when these objects
% are re-created. This may cause problems with any callbacks written to
% depend on the value of the handle at the time the object was saved.
% This problem is solved by saving the output as a FIG-file.
%
% To reopen this object, just type the name of the M-file at the MATLAB
% prompt. The M-file and its associated MAT-file must be on your path.
% 
% NOTE: certain newer features in MATLAB may not have been saved in this
% M-file due to limitations of this format, which has been superseded by
% FIG-files.  Figures which have been annotated using the plot editor tools
% are incompatible with the M-file/MAT-file format, and should be saved as
% FIG-files.

% load mainboard
if nargin == 0  % LAUNCH GUI

	fig = openfig(mfilename,'reuse');
    % Use system color scheme for figure:
%      set(fig,'Color',get(0,'defaultUicontrolBackgroundColor'));

	% Generate a structure of handles to pass to callbacks, and store it. 
	handles = guihandles(fig);
	guidata(fig, handles);
%     set(handles.h_AutoSwitch,'Color',get(0,'defaultUicontrolBackgroundColor'));

	if nargout > 0
		varargout{1} = fig;
	end

elseif ischar(varargin{1}) % INVOKE NAMED SUBFUNCTION OR CALLBACK

	try
		[varargout{1:nargout}] = feval(varargin{:}); % FEVAL switchyard
	catch
		disp(lasterr);
	end

end
% 
% 	%'Color',[0.752941176470588 0.752941176470588 0.752941176470588], ...
% 	%'Colormap',mat0, ...
% h0 = figure(...
% 	'DoubleBuffer','on', ...
% 	'FileName','C:\Andrey\Other-\Matlab\Patching\mainboard.m', ...
% 	'KeyPressFcn','dokeypress(gcbf)', ...
% 	'MenuBar','none', ...
% 	'Name','Histogram creation and analysis. Mainboard', ...
% 	'NumberTitle','off', ...
% 	'PaperPosition',[18 180 576 432], ...
% 	'PaperUnits','points', ...
% 	'Position',[1 29 800 553], ...
% 	'RendererMode','manual', ...
% 	'ResizeFcn','doresize(gcbf)', ...
% 	'Tag','Mainboard', ...
% 	'ToolBar','none', ...
% 	'DefaultaxesCreateFcn','plotedit(gcbf,''promoteoverlay''); ');
% h1 = uimenu('Parent',h0, ...
% 	'HandleVisibility','off', ...
% 	'Tag','ScribeHGBinObject', ...
% 	'Visible','off');
% h1 = uimenu('Parent',h0, ...
% 	'HandleVisibility','off', ...
% 	'Tag','ScribeFigObjStorage', ...
% 	'Visible','off');
% h1 = uimenu('Parent',h0, ...
% 	'HandleVisibility','off', ...
% 	'Tag','ScribeHGBinObject', ...
% 	'Visible','off');
% h1 = uimenu('Parent',h0, ...
% 	'HandleVisibility','off', ...
% 	'Tag','ScribeFigObjStorage', ...
% 	'Visible','off');
% h1 = uimenu('Parent',h0, ...
% 	'HandleVisibility','off', ...
% 	'Tag','ScribeHGBinObject', ...
% 	'Visible','off');
% h1 = uimenu('Parent',h0, ...
% 	'HandleVisibility','off', ...
% 	'Tag','ScribeFigObjStorage', ...
% 	'Visible','off');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.87843137254902 0.87843137254902 0.87843137254902], ...
% 	'ForegroundColor',[0.87843137254902 0.87843137254902 0.87843137254902], ...
% 	'ListboxTop',0, ...
% 	'Position',[294 -6.75 3.75 441], ...
% 	'Style','frame', ...
% 	'Tag','Frame1');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.87843137254902 0.87843137254902 0.87843137254902], ...
% 	'ForegroundColor',[0.87843137254902 0.87843137254902 0.87843137254902], ...
% 	'ListboxTop',0, ...
% 	'Position',[1.5 210.75 593.25 3], ...
% 	'Style','frame', ...
% 	'Tag','Frame2', ...
% 	'UserData','[ ]');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.87843137254902 0.87843137254902 0.87843137254902], ...
% 	'Callback','hcb d_save_as', ...
% 	'ListboxTop',0, ...
% 	'Position',[230.25 353.25 60 15], ...
% 	'String','Save As', ...
% 	'Tag','d_save_as');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.87843137254902 0.87843137254902 0.87843137254902], ...
% 	'Callback','hcb d_save', ...
% 	'ListboxTop',0, ...
% 	'Position',[230.25 369.75 60 15], ...
% 	'String','Save', ...
% 	'Tag','d_save');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.87843137254902 0.87843137254902 0.87843137254902], ...
% 	'Callback','hcb d_open', ...
% 	'ListboxTop',0, ...
% 	'Position',[230.25 387 60 15], ...
% 	'String','Open', ...
% 	'Tag','d_open');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.87843137254902 0.87843137254902 0.87843137254902], ...
% 	'Callback','hcb h_open', ...
% 	'ListboxTop',0, ...
% 	'Position',[531 387.75 60 15], ...
% 	'String','Open', ...
% 	'Tag','h_open');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.87843137254902 0.87843137254902 0.87843137254902], ...
% 	'Callback','hcb h_save', ...
% 	'ListboxTop',0, ...
% 	'Position',[531 370.5 60 15], ...
% 	'String','Save', ...
% 	'Tag','h_save');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.87843137254902 0.87843137254902 0.87843137254902], ...
% 	'Callback','hcb h_save_as', ...
% 	'ListboxTop',0, ...
% 	'Position',[531 354 60 15], ...
% 	'String','Save As', ...
% 	'Tag','h_save_as');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.87843137254902 0.87843137254902 0.87843137254902], ...
% 	'Callback','hcb t_save_as', ...
% 	'ListboxTop',0, ...
% 	'Position',[231.75 144 60 15], ...
% 	'String','Save As', ...
% 	'Tag','t_save_as');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.87843137254902 0.87843137254902 0.87843137254902], ...
% 	'Callback','hcb t_save', ...
% 	'ListboxTop',0, ...
% 	'Position',[231.75 160.5 60 15], ...
% 	'String','Save', ...
% 	'Tag','t_save');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.87843137254902 0.87843137254902 0.87843137254902], ...
% 	'Callback','hcb t_open', ...
% 	'ListboxTop',0, ...
% 	'Position',[231.75 177.75 60 15], ...
% 	'String','Open', ...
% 	'Tag','t_open');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.87843137254902 0.87843137254902 0.87843137254902], ...
% 	'Callback','hcb p_save_as', ...
% 	'ListboxTop',0, ...
% 	'Position',[533.25 144.75 60 15], ...
% 	'String','Save As', ...
% 	'Tag','p_save_as');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.87843137254902 0.87843137254902 0.87843137254902], ...
% 	'Callback','hcb p_save', ...
% 	'ListboxTop',0, ...
% 	'Position',[533.25 161.25 60 15], ...
% 	'String','Save', ...
% 	'Tag','p_save');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.87843137254902 0.87843137254902 0.87843137254902], ...
% 	'Callback','hcb p_open', ...
% 	'ListboxTop',0, ...
% 	'Position',[533.25 178.5 60 15], ...
% 	'String','Open', ...
% 	'Tag','p_open');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
% 	'FontName','Arial', ...
% 	'FontSize',12, ...
% 	'FontWeight','bold', ...
% 	'ForegroundColor',[0.501960784313725 0.501960784313725 0.501960784313725], ...
% 	'ListboxTop',0, ...
% 	'Position',[39.75 399 150 14.25], ...
% 	'String','Data File', ...
% 	'Style','text', ...
% 	'Tag','StaticText1', ...
% 	'UserData','[ ]');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
% 	'FontName','Arial', ...
% 	'FontSize',12, ...
% 	'FontWeight','bold', ...
% 	'ForegroundColor',[0.501960784313725 0.501960784313725 0.501960784313725], ...
% 	'ListboxTop',0, ...
% 	'Position',[30 196.5 199.5 14.25], ...
% 	'String','Dependencies Tracing', ...
% 	'Style','text', ...
% 	'Tag','StaticText1', ...
% 	'UserData','[ ]');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
% 	'FontName','Arial', ...
% 	'FontSize',12, ...
% 	'FontWeight','bold', ...
% 	'ForegroundColor',[0.501960784313725 0.501960784313725 0.501960784313725], ...
% 	'ListboxTop',0, ...
% 	'Position',[327.75 196.5 200.25 14.25], ...
% 	'String','Histogram Plotting', ...
% 	'Style','text', ...
% 	'Tag','StaticText1', ...
% 	'UserData','[ ]');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
% 	'FontName','Arial', ...
% 	'FontSize',12, ...
% 	'FontWeight','bold', ...
% 	'ForegroundColor',[0.501960784313725 0.501960784313725 0.501960784313725], ...
% 	'ListboxTop',0, ...
% 	'Position',[367.5 399 150 14.25], ...
% 	'String','Histogram Calculation', ...
% 	'Style','text', ...
% 	'Tag','StaticText1', ...
% 	'UserData','[ ]');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
% 	'ForegroundColor',[0.501960784313725 0.501960784313725 0.501960784313725], ...
% 	'ListboxTop',0, ...
% 	'Position',[4.5 400.5 36 12], ...
% 	'String','Data File:', ...
% 	'Style','text', ...
% 	'Tag','StaticText2');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.9 0.9 0.9], ...
% 	'Callback','hcb d_file', ...
% 	'FontWeight','bold', ...
% 	'HorizontalAlignment','left', ...
% 	'ListboxTop',0, ...
% 	'Position',[4.5 385.5 217.5 15.75], ...
% 	'String','(None)', ...
% 	'Style','edit', ...
% 	'Tag','d_file');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.9 0.9 0.9], ...
% 	'Callback','hcb h_file', ...
% 	'FontWeight','bold', ...
% 	'HorizontalAlignment','left', ...
% 	'ListboxTop',0, ...
% 	'Position',[302.25 383.25 217.5 15.75], ...
% 	'String','(None)', ...
% 	'Style','edit', ...
% 	'Tag','h_file');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
% 	'ForegroundColor',[0.501960784313725 0.501960784313725 0.501960784313725], ...
% 	'ListboxTop',0, ...
% 	'Position',[307.5 399.75 65.25 10.5], ...
% 	'String','Histogram File:', ...
% 	'Style','text', ...
% 	'Tag','StaticText2');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
% 	'ForegroundColor',[0.501960784313725 0.501960784313725 0.501960784313725], ...
% 	'ListboxTop',0, ...
% 	'Position',[6.75 188.25 54 12], ...
% 	'String','Tracing File:', ...
% 	'Style','text', ...
% 	'Tag','StaticText2');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.9 0.9 0.9], ...
% 	'Callback','hcb t_file', ...
% 	'FontWeight','bold', ...
% 	'HorizontalAlignment','left', ...
% 	'ListboxTop',0, ...
% 	'Position',[3 172.5 217.5 15.75], ...
% 	'String','(None)', ...
% 	'Style','edit', ...
% 	'Tag','t_file');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.9 0.9 0.9], ...
% 	'Callback','hcb p_file', ...
% 	'FontWeight','bold', ...
% 	'HorizontalAlignment','left', ...
% 	'ListboxTop',0, ...
% 	'Position',[301.5 169.5 217.5 15.75], ...
% 	'String','(None)', ...
% 	'Style','edit', ...
% 	'Tag','p_file');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
% 	'ForegroundColor',[0.501960784313725 0.501960784313725 0.501960784313725], ...
% 	'ListboxTop',0, ...
% 	'Position',[305.25 185.25 54 12], ...
% 	'String','Plotting File:', ...
% 	'Style','text', ...
% 	'Tag','StaticText2');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.87843137254902 0.87843137254902 0.87843137254902], ...
% 	'Callback','hcb p_plot', ...
% 	'ListboxTop',0, ...
% 	'Position',[533.25 6 60 30], ...
% 	'String','Plot', ...
% 	'Tag','p_plot');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
% 	'FontWeight','bold', ...
% 	'ForegroundColor',[0.501960784313725 0.501960784313725 0.501960784313725], ...
% 	'ListboxTop',0, ...
% 	'Position',[306 157.5 47.25 11.25], ...
% 	'String','X axis', ...
% 	'Style','text', ...
% 	'Tag','StaticText3');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[1 1 1], ...
% 	'Callback','hcb p_MinX', ...
% 	'ListboxTop',0, ...
% 	'Position',[302.25 144.25 39.75 14], ...
% 	'Style','edit', ...
% 	'Tag','p_MinX');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
% 	'ForegroundColor',[0.501960784313725 0.501960784313725 0.501960784313725], ...
% 	'HorizontalAlignment','left', ...
% 	'ListboxTop',0, ...
% 	'Position',[357.75 144 19.5 12], ...
% 	'String','Min', ...
% 	'Style','text', ...
% 	'Tag','StaticText3');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
% 	'ForegroundColor',[0.501960784313725 0.501960784313725 0.501960784313725], ...
% 	'HorizontalAlignment','left', ...
% 	'ListboxTop',0, ...
% 	'Position',[357 132.75 19.5 12], ...
% 	'String','Max', ...
% 	'Style','text', ...
% 	'Tag','StaticText3');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[1 1 1], ...
% 	'Callback','hcb p_MaxX', ...
% 	'ListboxTop',0, ...
% 	'Position',[302.25 130.25 39.75 14], ...
% 	'Style','edit', ...
% 	'Tag','p_MaxX');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[1 1 1], ...
% 	'Callback','hcb p_StepX', ...
% 	'ListboxTop',0, ...
% 	'Position',[302.25 116.25 39.75 14], ...
% 	'Style','edit', ...
% 	'Tag','p_StepX');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
% 	'ForegroundColor',[0.501960784313725 0.501960784313725 0.501960784313725], ...
% 	'HorizontalAlignment','right', ...
% 	'ListboxTop',0, ...
% 	'Position',[306 41.25 48.75 12], ...
% 	'String','X Label', ...
% 	'Style','text', ...
% 	'Tag','StaticText3');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[1 1 1], ...
% 	'Callback','hcb p_LabelX', ...
% 	'ListboxTop',0, ...
% 	'Position',[302.25 28.5 71.25 14.25], ...
% 	'Style','edit', ...
% 	'Tag','p_LabelX');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.87843137254902 0.87843137254902 0.87843137254902], ...
% 	'Callback','hcb p_RebTypeX', ...
% 	'ListboxTop',0, ...
% 	'Position',[302.25 96.75 53.25 15.75], ...
% 	'String',' ', ...
% 	'Style','popupmenu', ...
% 	'Tag','p_RebTypeX', ...
% 	'Value',1);
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
% 	'ForegroundColor',[0.501960784313725 0.501960784313725 0.501960784313725], ...
% 	'HorizontalAlignment','left', ...
% 	'ListboxTop',0, ...
% 	'Position',[355.5 96.75 19.5 12], ...
% 	'String','Type', ...
% 	'Style','text', ...
% 	'Tag','StaticText3');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
% 	'Callback','hcb p_LogX', ...
% 	'ForegroundColor',[0.501960784313725 0.501960784313725 0.501960784313725], ...
% 	'ListboxTop',0, ...
% 	'Position',[302.25 78.75 30.75 14], ...
% 	'String','Log', ...
% 	'Style','checkbox', ...
% 	'Tag','p_LogX');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
% 	'Callback','hcb p_RebinX', ...
% 	'ForegroundColor',[0.501960784313725 0.501960784313725 0.501960784313725], ...
% 	'ListboxTop',0, ...
% 	'Position',[344.25 116.25 31.5 14.25], ...
% 	'String','Rbn', ...
% 	'Style','checkbox', ...
% 	'Tag','p_RebinX');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
% 	'Callback','hcb p_RevX', ...
% 	'ForegroundColor',[0.501960784313725 0.501960784313725 0.501960784313725], ...
% 	'ListboxTop',0, ...
% 	'Position',[339.75 79.5 30.75 14], ...
% 	'String','Revr', ...
% 	'Style','checkbox', ...
% 	'Tag','p_RevX');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
% 	'Callback','hcb p_AutoX', ...
% 	'ForegroundColor',[0.501960784313725 0.501960784313725 0.501960784313725], ...
% 	'ListboxTop',0, ...
% 	'Position',[345 137.25 12.75 15.75], ...
% 	'String','Log', ...
% 	'Style','checkbox', ...
% 	'Tag','p_AutoX');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
% 	'Callback','hcb p_meshX', ...
% 	'ForegroundColor',[0.501960784313725 0.501960784313725 0.501960784313725], ...
% 	'ListboxTop',0, ...
% 	'Position',[339.75 67.5 33.75 14], ...
% 	'String','Mesh', ...
% 	'Style','checkbox', ...
% 	'Tag','p_meshX');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
% 	'Callback','hcb p_gridX', ...
% 	'ForegroundColor',[0.501960784313725 0.501960784313725 0.501960784313725], ...
% 	'ListboxTop',0, ...
% 	'Position',[302.25 66.75 30.75 14], ...
% 	'String','Grid', ...
% 	'Style','checkbox', ...
% 	'Tag','p_gridX');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
% 	'ForegroundColor',[0.501960784313725 0.501960784313725 0.501960784313725], ...
% 	'HorizontalAlignment','left', ...
% 	'ListboxTop',0, ...
% 	'Position',[347.25 150.75 6.75 9], ...
% 	'String','A', ...
% 	'Style','text', ...
% 	'Tag','StaticText3');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
% 	'ForegroundColor',[0.501960784313725 0.501960784313725 0.501960784313725], ...
% 	'HorizontalAlignment','left', ...
% 	'ListboxTop',0, ...
% 	'Position',[424.5 151.5 6.75 9], ...
% 	'String','A', ...
% 	'Style','text', ...
% 	'Tag','StaticText3');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
% 	'Callback','hcb p_gridY', ...
% 	'ForegroundColor',[0.501960784313725 0.501960784313725 0.501960784313725], ...
% 	'ListboxTop',0, ...
% 	'Position',[379.5 67.5 30.75 14], ...
% 	'String','Grid', ...
% 	'Style','checkbox', ...
% 	'Tag','p_gridY');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
% 	'Callback','hcb p_meshY', ...
% 	'ForegroundColor',[0.501960784313725 0.501960784313725 0.501960784313725], ...
% 	'ListboxTop',0, ...
% 	'Position',[417 67.5 33.75 14], ...
% 	'String','Mesh', ...
% 	'Style','checkbox', ...
% 	'Tag','p_meshY');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
% 	'Callback','hcb p_AutoY', ...
% 	'ForegroundColor',[0.501960784313725 0.501960784313725 0.501960784313725], ...
% 	'ListboxTop',0, ...
% 	'Position',[422.25 137.25 12.75 15.75], ...
% 	'String','Log', ...
% 	'Style','checkbox', ...
% 	'Tag','p_AutoY');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
% 	'Callback','hcb p_RevY', ...
% 	'ForegroundColor',[0.501960784313725 0.501960784313725 0.501960784313725], ...
% 	'ListboxTop',0, ...
% 	'Position',[417 79.5 30.75 14], ...
% 	'String','Revr', ...
% 	'Style','checkbox', ...
% 	'Tag','p_RevY');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
% 	'Callback','hcb p_RebinY', ...
% 	'ForegroundColor',[0.501960784313725 0.501960784313725 0.501960784313725], ...
% 	'ListboxTop',0, ...
% 	'Position',[421.5 115.5 31.5 14.25], ...
% 	'String','Rbn', ...
% 	'Style','checkbox', ...
% 	'Tag','p_RebinY');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
% 	'Callback','hcb p_LogY', ...
% 	'ForegroundColor',[0.501960784313725 0.501960784313725 0.501960784313725], ...
% 	'ListboxTop',0, ...
% 	'Position',[379.5 78.75 30.75 14], ...
% 	'String','Log', ...
% 	'Style','checkbox', ...
% 	'Tag','p_LogY');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
% 	'ForegroundColor',[0.501960784313725 0.501960784313725 0.501960784313725], ...
% 	'HorizontalAlignment','left', ...
% 	'ListboxTop',0, ...
% 	'Position',[432.75 97.5 19.5 12], ...
% 	'String','Type', ...
% 	'Style','text', ...
% 	'Tag','StaticText3');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.87843137254902 0.87843137254902 0.87843137254902], ...
% 	'Callback','hcb p_RebTypeY', ...
% 	'ListboxTop',0, ...
% 	'Position',[379.5 96.75 53.25 15.75], ...
% 	'String',' ', ...
% 	'Style','popupmenu', ...
% 	'Tag','p_RebTypeY', ...
% 	'Value',1);
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[1 1 1], ...
% 	'Callback','hcb p_LabelY', ...
% 	'ListboxTop',0, ...
% 	'Position',[379.5 29.25 71.25 14.25], ...
% 	'Style','edit', ...
% 	'Tag','p_LabelY');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
% 	'ForegroundColor',[0.501960784313725 0.501960784313725 0.501960784313725], ...
% 	'HorizontalAlignment','right', ...
% 	'ListboxTop',0, ...
% 	'Position',[384 44.25 48.75 9.75], ...
% 	'String','Y Label', ...
% 	'Style','text', ...
% 	'Tag','StaticText3');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[1 1 1], ...
% 	'Callback','hcb p_StepY', ...
% 	'ListboxTop',0, ...
% 	'Position',[379.5 116.25 39.75 14], ...
% 	'Style','edit', ...
% 	'Tag','p_StepY');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[1 1 1], ...
% 	'Callback','hcb p_MaxY', ...
% 	'ListboxTop',0, ...
% 	'Position',[379.5 130.25 39.75 14], ...
% 	'Style','edit', ...
% 	'Tag','p_MaxY');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
% 	'ForegroundColor',[0.501960784313725 0.501960784313725 0.501960784313725], ...
% 	'HorizontalAlignment','left', ...
% 	'ListboxTop',0, ...
% 	'Position',[434.25 133.5 19.5 12], ...
% 	'String','Max', ...
% 	'Style','text', ...
% 	'Tag','StaticText3');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
% 	'ForegroundColor',[0.501960784313725 0.501960784313725 0.501960784313725], ...
% 	'HorizontalAlignment','left', ...
% 	'ListboxTop',0, ...
% 	'Position',[435 144.75 19.5 12], ...
% 	'String','Min', ...
% 	'Style','text', ...
% 	'Tag','StaticText3');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[1 1 1], ...
% 	'Callback','hcb p_MinZ', ...
% 	'ListboxTop',0, ...
% 	'Position',[379.5 144.25 39.75 14], ...
% 	'Style','edit', ...
% 	'Tag','p_MinY');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
% 	'FontWeight','bold', ...
% 	'ForegroundColor',[0.501960784313725 0.501960784313725 0.501960784313725], ...
% 	'ListboxTop',0, ...
% 	'Position',[381.75 158.25 47.25 11.25], ...
% 	'String','Y axis', ...
% 	'Style','text', ...
% 	'Tag','StaticText3');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
% 	'FontWeight','bold', ...
% 	'ForegroundColor',[0.501960784313725 0.501960784313725 0.501960784313725], ...
% 	'ListboxTop',0, ...
% 	'Position',[463.5 158.25 47.25 11.25], ...
% 	'String','Z axis', ...
% 	'Style','text', ...
% 	'Tag','StaticText3');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[1 1 1], ...
% 	'Callback','hcb p_MinZ', ...
% 	'ListboxTop',0, ...
% 	'Position',[457.5 144.25 39.75 14], ...
% 	'Style','edit', ...
% 	'Tag','p_MinZ');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
% 	'ForegroundColor',[0.501960784313725 0.501960784313725 0.501960784313725], ...
% 	'HorizontalAlignment','left', ...
% 	'ListboxTop',0, ...
% 	'Position',[513.75 147.75 19.5 12], ...
% 	'String','Min', ...
% 	'Style','text', ...
% 	'Tag','StaticText3');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
% 	'ForegroundColor',[0.501960784313725 0.501960784313725 0.501960784313725], ...
% 	'HorizontalAlignment','left', ...
% 	'ListboxTop',0, ...
% 	'Position',[513.75 135.75 19.5 12], ...
% 	'String','Max', ...
% 	'Style','text', ...
% 	'Tag','StaticText3');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[1 1 1], ...
% 	'Callback','hcb p_MaxZ', ...
% 	'ListboxTop',0, ...
% 	'Position',[457.5 130.25 39.75 14], ...
% 	'Style','edit', ...
% 	'Tag','p_MaxZ');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[1 1 1], ...
% 	'Callback','hcb p_StepZ', ...
% 	'ListboxTop',0, ...
% 	'Position',[457.5 116.25 39.75 14], ...
% 	'Style','edit', ...
% 	'Tag','p_StepZ');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
% 	'ForegroundColor',[0.501960784313725 0.501960784313725 0.501960784313725], ...
% 	'HorizontalAlignment','right', ...
% 	'ListboxTop',0, ...
% 	'Position',[459.75 41.25 48.75 12], ...
% 	'String','Z Label', ...
% 	'Style','text', ...
% 	'Tag','StaticText3');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[1 1 1], ...
% 	'Callback','hcb p_LabelZ', ...
% 	'ListboxTop',0, ...
% 	'Position',[457.5 29.25 71.25 14.25], ...
% 	'Style','edit', ...
% 	'Tag','p_LabelZ');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.87843137254902 0.87843137254902 0.87843137254902], ...
% 	'Callback','hcb p_RebTypeZ', ...
% 	'ListboxTop',0, ...
% 	'Position',[457.5 96.75 53.25 15.75], ...
% 	'String',' ', ...
% 	'Style','popupmenu', ...
% 	'Tag','p_RebTypeZ', ...
% 	'Value',1);
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
% 	'ForegroundColor',[0.501960784313725 0.501960784313725 0.501960784313725], ...
% 	'HorizontalAlignment','left', ...
% 	'ListboxTop',0, ...
% 	'Position',[511.5 98.25 19.5 12], ...
% 	'String','Type', ...
% 	'Style','text', ...
% 	'Tag','StaticText3');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
% 	'Callback','hcb p_LogZ', ...
% 	'ForegroundColor',[0.501960784313725 0.501960784313725 0.501960784313725], ...
% 	'ListboxTop',0, ...
% 	'Position',[457.5 78.75 30.75 14], ...
% 	'String','Log', ...
% 	'Style','checkbox', ...
% 	'Tag','p_LogZ');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
% 	'Callback','hcb p_RebinZ', ...
% 	'ForegroundColor',[0.501960784313725 0.501960784313725 0.501960784313725], ...
% 	'ListboxTop',0, ...
% 	'Position',[499.5 116.25 31.5 14.25], ...
% 	'String','Rbn', ...
% 	'Style','checkbox', ...
% 	'Tag','p_RebinZ');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
% 	'Callback','hcb p_RevZ', ...
% 	'ForegroundColor',[0.501960784313725 0.501960784313725 0.501960784313725], ...
% 	'ListboxTop',0, ...
% 	'Position',[495 79.5 30.75 14], ...
% 	'String','Revr', ...
% 	'Style','checkbox', ...
% 	'Tag','p_RevZ');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
% 	'Callback','hcb p_AutoZ', ...
% 	'ForegroundColor',[0.501960784313725 0.501960784313725 0.501960784313725], ...
% 	'ListboxTop',0, ...
% 	'Position',[500.25 137.25 12.75 15.75], ...
% 	'String','Log', ...
% 	'Style','checkbox', ...
% 	'Tag','p_AutoZ');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.87843137254902 0.87843137254902 0.87843137254902], ...
% 	'Callback','hcb p_ContZ', ...
% 	'ForegroundColor',[0.501960784313725 0.501960784313725 0.501960784313725], ...
% 	'ListboxTop',0, ...
% 	'Position',[534 70.5 58.5 14.25], ...
% 	'String','Cont', ...
% 	'Style','popupmenu', ...
% 	'Tag','p_ContZ', ...
% 	'Value',1);
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
% 	'Callback','hcb p_gridZ', ...
% 	'ForegroundColor',[0.501960784313725 0.501960784313725 0.501960784313725], ...
% 	'ListboxTop',0, ...
% 	'Position',[457.5 66.75 30.75 14], ...
% 	'String','Grid', ...
% 	'Style','checkbox', ...
% 	'Tag','p_gridZ');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
% 	'ForegroundColor',[0.501960784313725 0.501960784313725 0.501960784313725], ...
% 	'HorizontalAlignment','left', ...
% 	'ListboxTop',0, ...
% 	'Position',[502.5 150.75 6.75 9], ...
% 	'String','A', ...
% 	'Style','text', ...
% 	'Tag','StaticText3');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.87843137254902 0.87843137254902 0.87843137254902], ...
% 	'ForegroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
% 	'ListboxTop',0, ...
% 	'Position',[374.25 27.75 3 141], ...
% 	'Style','frame', ...
% 	'Tag','Frame3');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.87843137254902 0.87843137254902 0.87843137254902], ...
% 	'ForegroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
% 	'ListboxTop',0, ...
% 	'Position',[452.25 27.75 3 141.75], ...
% 	'Style','frame', ...
% 	'Tag','Frame3');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[1 1 1], ...
% 	'Callback','hcb p_LabelHst', ...
% 	'ListboxTop',0, ...
% 	'Position',[303 2.25 225 14], ...
% 	'Style','edit', ...
% 	'Tag','p_LabelHst');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
% 	'ForegroundColor',[0.501960784313725 0.501960784313725 0.501960784313725], ...
% 	'HorizontalAlignment','right', ...
% 	'ListboxTop',0, ...
% 	'Position',[378.75 17.25 67.5 10.5], ...
% 	'String','Histogram Label', ...
% 	'Style','text', ...
% 	'Tag','StaticText3');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.87843137254902 0.87843137254902 0.87843137254902], ...
% 	'ForegroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
% 	'ListboxTop',0, ...
% 	'Position',[530.25 32.25 3 142.5], ...
% 	'Style','frame', ...
% 	'Tag','Frame3');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
% 	'Callback','hcb p_NormZ', ...
% 	'ForegroundColor',[0.501960784313725 0.501960784313725 0.501960784313725], ...
% 	'ListboxTop',0, ...
% 	'Position',[458.25 54.75 20.25 14.25], ...
% 	'String','N', ...
% 	'Style','checkbox', ...
% 	'Tag','p_NormZ');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
% 	'Callback','hcb p_NormY', ...
% 	'ForegroundColor',[0.501960784313725 0.501960784313725 0.501960784313725], ...
% 	'ListboxTop',0, ...
% 	'Position',[379.5 55.5 20 14], ...
% 	'String','N', ...
% 	'Style','checkbox', ...
% 	'Tag','p_NormY');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
% 	'Callback','hcb p_NormX', ...
% 	'ForegroundColor',[0.501960784313725 0.501960784313725 0.501960784313725], ...
% 	'ListboxTop',0, ...
% 	'Position',[302.25 54.75 20 14], ...
% 	'String','N', ...
% 	'Style','checkbox', ...
% 	'Tag','p_NormX');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[1 1 1], ...
% 	'Callback','hcb p_NormRelSubX', ...
% 	'ListboxTop',0, ...
% 	'Position',[323.25 54 26 14.25], ...
% 	'Style','edit', ...
% 	'Tag','p_NormRelSubX');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[1 1 1], ...
% 	'Callback','hcb p_NormRelSubY', ...
% 	'ListboxTop',0, ...
% 	'Position',[400.5 54.75 26 14.25], ...
% 	'Style','edit', ...
% 	'Tag','p_NormRelSubY');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[1 1 1], ...
% 	'Callback','hcb h_NormRelSubY', ...
% 	'ListboxTop',0, ...
% 	'Position',[399.75 300.75 26 14.25], ...
% 	'Style','edit', ...
% 	'Tag','h_NormRelSubY');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[1 1 1], ...
% 	'Callback','hcb h_NormRelSubX', ...
% 	'ListboxTop',0, ...
% 	'Position',[321.75 301.5 26 14.25], ...
% 	'Style','edit', ...
% 	'Tag','h_NormRelSubX');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
% 	'Callback','hcb h_NormX', ...
% 	'ForegroundColor',[0.501960784313725 0.501960784313725 0.501960784313725], ...
% 	'ListboxTop',0, ...
% 	'Position',[300.75 300 20 14], ...
% 	'String','N', ...
% 	'Style','checkbox', ...
% 	'Tag','h_NormX');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
% 	'Callback','hcb h_NormY', ...
% 	'ForegroundColor',[0.501960784313725 0.501960784313725 0.501960784313725], ...
% 	'ListboxTop',0, ...
% 	'Position',[378 300.75 20 14], ...
% 	'String','N', ...
% 	'Style','checkbox', ...
% 	'Tag','h_NormY');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
% 	'FontWeight','bold', ...
% 	'ForegroundColor',[0.501960784313725 0.501960784313725 0.501960784313725], ...
% 	'ListboxTop',0, ...
% 	'Position',[381 374.25 47.25 9], ...
% 	'String','Y axis', ...
% 	'Style','text', ...
% 	'Tag','StaticText3');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[1 1 1], ...
% 	'Callback','hcb h_MinY', ...
% 	'ListboxTop',0, ...
% 	'Position',[378 359.5 39.75 14], ...
% 	'Style','edit', ...
% 	'Tag','h_MinY');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
% 	'ForegroundColor',[0.501960784313725 0.501960784313725 0.501960784313725], ...
% 	'HorizontalAlignment','left', ...
% 	'ListboxTop',0, ...
% 	'Position',[433.5 357.75 19.5 12], ...
% 	'String','Min', ...
% 	'Style','text', ...
% 	'Tag','StaticText3');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
% 	'ForegroundColor',[0.501960784313725 0.501960784313725 0.501960784313725], ...
% 	'HorizontalAlignment','left', ...
% 	'ListboxTop',0, ...
% 	'Position',[432.75 346.5 19.5 12], ...
% 	'String','Max', ...
% 	'Style','text', ...
% 	'Tag','StaticText3');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[1 1 1], ...
% 	'Callback','hcb h_MaxY', ...
% 	'ListboxTop',0, ...
% 	'Position',[378 345.5 39.75 14], ...
% 	'Style','edit', ...
% 	'Tag','h_MaxY');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[1 1 1], ...
% 	'Callback','hcb h_StepY', ...
% 	'ListboxTop',0, ...
% 	'Position',[378 331.5 39.75 14], ...
% 	'Style','edit', ...
% 	'Tag','h_StepY');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.87843137254902 0.87843137254902 0.87843137254902], ...
% 	'Callback','hcb h_RebTypeY', ...
% 	'ListboxTop',0, ...
% 	'Position',[378 315.75 53.25 15.75], ...
% 	'String',mat1, ...
% 	'Style','popupmenu', ...
% 	'Tag','h_RebTypeY', ...
% 	'Value',1);
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
% 	'ForegroundColor',[0.501960784313725 0.501960784313725 0.501960784313725], ...
% 	'HorizontalAlignment','left', ...
% 	'ListboxTop',0, ...
% 	'Position',[431.25 316.5 19.5 12], ...
% 	'String','Type', ...
% 	'Style','text', ...
% 	'Tag','StaticText3');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
% 	'Callback','hcb h_RebinY', ...
% 	'ForegroundColor',[0.501960784313725 0.501960784313725 0.501960784313725], ...
% 	'ListboxTop',0, ...
% 	'Position',[420 330.75 31.5 14.25], ...
% 	'String','Rbn', ...
% 	'Style','checkbox', ...
% 	'Tag','h_RebinY');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
% 	'Callback','hcb h_AutoY', ...
% 	'ForegroundColor',[0.501960784313725 0.501960784313725 0.501960784313725], ...
% 	'ListboxTop',0, ...
% 	'Position',[420.75 350.25 12.75 15.75], ...
% 	'String','Log', ...
% 	'Style','checkbox', ...
% 	'Tag','h_AutoY');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
% 	'ForegroundColor',[0.501960784313725 0.501960784313725 0.501960784313725], ...
% 	'HorizontalAlignment','left', ...
% 	'ListboxTop',0, ...
% 	'Position',[423 364.5 6.75 9], ...
% 	'String','A', ...
% 	'Style','text', ...
% 	'Tag','StaticText3');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
% 	'ForegroundColor',[0.501960784313725 0.501960784313725 0.501960784313725], ...
% 	'HorizontalAlignment','left', ...
% 	'ListboxTop',0, ...
% 	'Position',[345.75 364 6.75 9], ...
% 	'String','A', ...
% 	'Style','text', ...
% 	'Tag','StaticText3');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
% 	'Callback','hcb h_AutoX', ...
% 	'ForegroundColor',[0.501960784313725 0.501960784313725 0.501960784313725], ...
% 	'ListboxTop',0, ...
% 	'Position',[343.5 350.25 12.75 15.75], ...
% 	'String','Log', ...
% 	'Style','checkbox', ...
% 	'Tag','h_AutoX');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
% 	'Callback','hcb h_RebinX', ...
% 	'ForegroundColor',[0.501960784313725 0.501960784313725 0.501960784313725], ...
% 	'ListboxTop',0, ...
% 	'Position',[342.75 331.5 31.5 14.25], ...
% 	'String','Rbn', ...
% 	'Style','checkbox', ...
% 	'Tag','h_RebinX');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
% 	'ForegroundColor',[0.501960784313725 0.501960784313725 0.501960784313725], ...
% 	'HorizontalAlignment','left', ...
% 	'ListboxTop',0, ...
% 	'Position',[354 315.75 19.5 12], ...
% 	'String','Type', ...
% 	'Style','text', ...
% 	'Tag','StaticText3');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.87843137254902 0.87843137254902 0.87843137254902], ...
% 	'Callback','hcb h_RebTypeX', ...
% 	'ListboxTop',0, ...
% 	'Position',[300.75 315.75 53.25 15.75], ...
% 	'String',mat2, ...
% 	'Style','popupmenu', ...
% 	'Tag','h_RebTypeX', ...
% 	'Value',1);
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[1 1 1], ...
% 	'Callback','hcb h_StepX', ...
% 	'ListboxTop',0, ...
% 	'Position',[300.75 331.5 39.75 14], ...
% 	'Style','edit', ...
% 	'Tag','h_StepX');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[1 1 1], ...
% 	'Callback','hcb h_MaxX', ...
% 	'ListboxTop',0, ...
% 	'Position',[300.75 345.5 39.75 14], ...
% 	'Style','edit', ...
% 	'Tag','h_MaxX');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
% 	'ForegroundColor',[0.501960784313725 0.501960784313725 0.501960784313725], ...
% 	'HorizontalAlignment','left', ...
% 	'ListboxTop',0, ...
% 	'Position',[355.5 345.75 19.5 12], ...
% 	'String','Max', ...
% 	'Style','text', ...
% 	'Tag','StaticText3');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
% 	'ForegroundColor',[0.501960784313725 0.501960784313725 0.501960784313725], ...
% 	'HorizontalAlignment','left', ...
% 	'ListboxTop',0, ...
% 	'Position',[356.25 357 19.5 12], ...
% 	'String','Min', ...
% 	'Style','text', ...
% 	'Tag','StaticText3');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[1 1 1], ...
% 	'Callback','hcb h_MinX', ...
% 	'ListboxTop',0, ...
% 	'Position',[300.75 359.5 39.75 14], ...
% 	'Style','edit', ...
% 	'Tag','h_MinX');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
% 	'FontWeight','bold', ...
% 	'ForegroundColor',[0.501960784313725 0.501960784313725 0.501960784313725], ...
% 	'ListboxTop',0, ...
% 	'Position',[305.25 373.5 47.25 9], ...
% 	'String','X axis', ...
% 	'Style','text', ...
% 	'Tag','StaticText3');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.87843137254902 0.87843137254902 0.87843137254902], ...
% 	'ForegroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
% 	'ListboxTop',0, ...
% 	'Position',[374.25 255 2.25 119.25], ...
% 	'Style','frame', ...
% 	'Tag','Frame3');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.87843137254902 0.87843137254902 0.87843137254902], ...
% 	'ForegroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
% 	'ListboxTop',0, ...
% 	'Position',[451.5 255 2.25 120.75], ...
% 	'Style','frame', ...
% 	'Tag','Frame3');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.87843137254902 0.87843137254902 0.87843137254902], ...
% 	'Callback','hcb h_NormZ', ...
% 	'ForegroundColor',[0.501960784313725 0.501960784313725 0.501960784313725], ...
% 	'ListboxTop',0, ...
% 	'Position',[457.5 301.5 60 14], ...
% 	'String','Norm', ...
% 	'Style','popupmenu', ...
% 	'Tag','h_NormZ', ...
% 	'Value',1);
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[1 1 1], ...
% 	'Callback','hcb h_BinsX', ...
% 	'Position',[302.25 214.5 69.75 63], ...
% 	'String',' ', ...
% 	'Style','listbox', ...
% 	'Tag','h_BinsX', ...
% 	'Value',1);
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
% 	'ForegroundColor',[0.501960784313725 0.501960784313725 0.501960784313725], ...
% 	'HorizontalAlignment','left', ...
% 	'ListboxTop',0, ...
% 	'Position',[303.75 290.25 15.75 9.75], ...
% 	'String','Bins', ...
% 	'Style','text', ...
% 	'Tag','StaticText3');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.87843137254902 0.87843137254902 0.87843137254902], ...
% 	'Callback','hcb h_BinsX_plus', ...
% 	'ListboxTop',0, ...
% 	'Position',[332.25 290.25 9.75 9.75], ...
% 	'String','+', ...
% 	'Tag','h_BinsX_plus');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.87843137254902 0.87843137254902 0.87843137254902], ...
% 	'Callback','hcb h_BinsX_minus', ...
% 	'ListboxTop',0, ...
% 	'Position',[342 290.25 9.75 10.5], ...
% 	'String','-', ...
% 	'Tag','h_BinsX_minus');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.87843137254902 0.87843137254902 0.87843137254902], ...
% 	'Callback','hcb h_BinsX_supp', ...
% 	'ListboxTop',0, ...
% 	'Position',[351.75 290.25 9.75 10.5], ...
% 	'String','?', ...
% 	'Tag','h_BinsX_supp');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.87843137254902 0.87843137254902 0.87843137254902], ...
% 	'Callback','hcb h_BinsX_clear', ...
% 	'ListboxTop',0, ...
% 	'Position',[361.5 290.25 9.75 10.5], ...
% 	'String','c', ...
% 	'Tag','h_BinsX_clear');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.87843137254902 0.87843137254902 0.87843137254902], ...
% 	'Callback','hcb h_BinsX_edit', ...
% 	'ListboxTop',0, ...
% 	'Position',[322.5 290.25 9.75 9.75], ...
% 	'String','e', ...
% 	'Tag','h_BinsX_edit');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.87843137254902 0.87843137254902 0.87843137254902], ...
% 	'Callback','hcb h_BinsY_edit', ...
% 	'ListboxTop',0, ...
% 	'Position',[399 290.25 9.75 9.75], ...
% 	'String','e', ...
% 	'Tag','h_BinsY_edit');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.87843137254902 0.87843137254902 0.87843137254902], ...
% 	'Callback','hcb h_BinsY_clear', ...
% 	'ListboxTop',0, ...
% 	'Position',[438 290.25 9.75 10.5], ...
% 	'String','c', ...
% 	'Tag','h_BinsY_clear');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.87843137254902 0.87843137254902 0.87843137254902], ...
% 	'Callback','hcb h_BinsY_supp', ...
% 	'ListboxTop',0, ...
% 	'Position',[428.25 290.25 9.75 10.5], ...
% 	'String','?', ...
% 	'Tag','h_BinsY_supp');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.87843137254902 0.87843137254902 0.87843137254902], ...
% 	'Callback','hcb h_BinsY_minus', ...
% 	'ListboxTop',0, ...
% 	'Position',[418.5 290.25 9.75 10.5], ...
% 	'String','-', ...
% 	'Tag','h_BinsY_minus');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.87843137254902 0.87843137254902 0.87843137254902], ...
% 	'Callback','hcb h_BinsY_plus', ...
% 	'ListboxTop',0, ...
% 	'Position',[408.75 290.25 9.75 9.75], ...
% 	'String','+', ...
% 	'Tag','h_BinsY_plus');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
% 	'ForegroundColor',[0.501960784313725 0.501960784313725 0.501960784313725], ...
% 	'HorizontalAlignment','left', ...
% 	'ListboxTop',0, ...
% 	'Position',[380.25 290.25 15.75 9.75], ...
% 	'String','Bins', ...
% 	'Style','text', ...
% 	'Tag','StaticText3');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[1 1 1], ...
% 	'Callback','hcb h_BinsY', ...
% 	'Position',[378.75 214.5 69.75 63], ...
% 	'String',' ', ...
% 	'Style','listbox', ...
% 	'Tag','h_BinsY', ...
% 	'Value',1);
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.87843137254902 0.87843137254902 0.87843137254902], ...
% 	'Callback','hcb h_calc', ...
% 	'ListboxTop',0, ...
% 	'Position',[531 220.5 60 30], ...
% 	'String','Calculate', ...
% 	'Tag','h_calc');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.87843137254902 0.87843137254902 0.87843137254902], ...
% 	'Callback','hcb t_trace', ...
% 	'ListboxTop',0, ...
% 	'Position',[231.75 6.75 60 30], ...
% 	'String','Trace', ...
% 	'Tag','t_trace');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[1 1 1], ...
% 	'Callback','hcb t_BinsY', ...
% 	'Position',[79.5 0.75 69.75 63], ...
% 	'String',' ', ...
% 	'Style','listbox', ...
% 	'Tag','t_BinsY', ...
% 	'Value',1);
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
% 	'ForegroundColor',[0.501960784313725 0.501960784313725 0.501960784313725], ...
% 	'HorizontalAlignment','left', ...
% 	'ListboxTop',0, ...
% 	'Position',[81 76.5 15.75 9.75], ...
% 	'String','Bins', ...
% 	'Style','text', ...
% 	'Tag','StaticText3');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.87843137254902 0.87843137254902 0.87843137254902], ...
% 	'Callback','hcb t_BinsY_plus', ...
% 	'ListboxTop',0, ...
% 	'Position',[109.5 76.5 9.75 9.75], ...
% 	'String','+', ...
% 	'Tag','t_BinsY_plus');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.87843137254902 0.87843137254902 0.87843137254902], ...
% 	'Callback','hcb t_BinsY_minus', ...
% 	'ListboxTop',0, ...
% 	'Position',[119.25 76.5 9.75 10.5], ...
% 	'String','-', ...
% 	'Tag','t_BinsY_minus');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.87843137254902 0.87843137254902 0.87843137254902], ...
% 	'Callback','hcb t_BinsY_supp', ...
% 	'ListboxTop',0, ...
% 	'Position',[129 76.5 9.75 10.5], ...
% 	'String','?', ...
% 	'Tag','t_BinsY_supp');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.87843137254902 0.87843137254902 0.87843137254902], ...
% 	'Callback','hcb t_BinsY_clear', ...
% 	'ListboxTop',0, ...
% 	'Position',[138.75 76.5 9.75 10.5], ...
% 	'String','c', ...
% 	'Tag','t_BinsY_clear');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.87843137254902 0.87843137254902 0.87843137254902], ...
% 	'Callback','hcb t_BinsY_edit', ...
% 	'ListboxTop',0, ...
% 	'Position',[99.75 76.5 9.75 9.75], ...
% 	'String','e', ...
% 	'Tag','t_BinsY_edit');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.87843137254902 0.87843137254902 0.87843137254902], ...
% 	'Callback','hcb t_BinsX_edit', ...
% 	'ListboxTop',0, ...
% 	'Position',[23.25 76.5 9.75 9.75], ...
% 	'String','e', ...
% 	'Tag','t_BinsX_edit');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.87843137254902 0.87843137254902 0.87843137254902], ...
% 	'Callback','hcb t_BinsX_clear', ...
% 	'ListboxTop',0, ...
% 	'Position',[62.25 76.5 9.75 10.5], ...
% 	'String','c', ...
% 	'Tag','t_BinsX_clear');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.87843137254902 0.87843137254902 0.87843137254902], ...
% 	'Callback','hcb t_BinsX_supp', ...
% 	'ListboxTop',0, ...
% 	'Position',[52.5 76.5 9.75 10.5], ...
% 	'String','?', ...
% 	'Tag','t_BinsX_supp');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.87843137254902 0.87843137254902 0.87843137254902], ...
% 	'Callback','hcb t_BinsX_minus', ...
% 	'ListboxTop',0, ...
% 	'Position',[42.75 76.5 9.75 10.5], ...
% 	'String','-', ...
% 	'Tag','t_BinsX_minus');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.87843137254902 0.87843137254902 0.87843137254902], ...
% 	'Callback','hcb t_BinsX_plus', ...
% 	'ListboxTop',0, ...
% 	'Position',[33 76.5 9.75 9.75], ...
% 	'String','+', ...
% 	'Tag','t_BinsX_plus');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
% 	'ForegroundColor',[0.501960784313725 0.501960784313725 0.501960784313725], ...
% 	'HorizontalAlignment','left', ...
% 	'ListboxTop',0, ...
% 	'Position',[4.5 76.5 15.75 9.75], ...
% 	'String','Bins', ...
% 	'Style','text', ...
% 	'Tag','StaticText3');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[1 1 1], ...
% 	'Callback','hcb t_BinsX', ...
% 	'Position',[3 0.75 69.75 63], ...
% 	'String',' ', ...
% 	'Style','listbox', ...
% 	'Tag','t_BinsX', ...
% 	'Value',1);
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.87843137254902 0.87843137254902 0.87843137254902], ...
% 	'Callback','hcb t_NormZ', ...
% 	'ForegroundColor',[0.501960784313725 0.501960784313725 0.501960784313725], ...
% 	'ListboxTop',0, ...
% 	'Position',[158.25 87.75 60 14], ...
% 	'String','Norm', ...
% 	'Style','popupmenu', ...
% 	'Tag','t_NormZ', ...
% 	'Value',1);
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
% 	'FontWeight','bold', ...
% 	'ForegroundColor',[0.501960784313725 0.501960784313725 0.501960784313725], ...
% 	'ListboxTop',0, ...
% 	'Position',[5.25 159.75 47.25 11.25], ...
% 	'String','X axis', ...
% 	'Style','text', ...
% 	'Tag','StaticText3');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[1 1 1], ...
% 	'Callback','hcb t_MinX', ...
% 	'ListboxTop',0, ...
% 	'Position',[1.5 145.75 39.75 14], ...
% 	'Style','edit', ...
% 	'Tag','t_MinX');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
% 	'ForegroundColor',[0.501960784313725 0.501960784313725 0.501960784313725], ...
% 	'HorizontalAlignment','left', ...
% 	'ListboxTop',0, ...
% 	'Position',[57 143.25 19.5 12], ...
% 	'String','Min', ...
% 	'Style','text', ...
% 	'Tag','StaticText3');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
% 	'ForegroundColor',[0.501960784313725 0.501960784313725 0.501960784313725], ...
% 	'HorizontalAlignment','left', ...
% 	'ListboxTop',0, ...
% 	'Position',[56.25 132 19.5 12], ...
% 	'String','Max', ...
% 	'Style','text', ...
% 	'Tag','StaticText3');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[1 1 1], ...
% 	'Callback','hcb t_MaxX', ...
% 	'ListboxTop',0, ...
% 	'Position',[1.5 131.75 39.75 14], ...
% 	'Style','edit', ...
% 	'Tag','t_MaxX');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[1 1 1], ...
% 	'Callback','hcb t_StepX', ...
% 	'ListboxTop',0, ...
% 	'Position',[1.5 117.75 39.75 14], ...
% 	'Style','edit', ...
% 	'Tag','t_StepX');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.87843137254902 0.87843137254902 0.87843137254902], ...
% 	'Callback','hcb t_RebTypeX', ...
% 	'ListboxTop',0, ...
% 	'Position',[1.5 102 53.25 15.75], ...
% 	'String',' ', ...
% 	'Style','popupmenu', ...
% 	'Tag','t_RebTypeX', ...
% 	'Value',1);
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
% 	'ForegroundColor',[0.501960784313725 0.501960784313725 0.501960784313725], ...
% 	'HorizontalAlignment','left', ...
% 	'ListboxTop',0, ...
% 	'Position',[54.75 102 19.5 12], ...
% 	'String','Type', ...
% 	'Style','text', ...
% 	'Tag','StaticText3');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
% 	'Callback','hcb t_RebinX', ...
% 	'ForegroundColor',[0.501960784313725 0.501960784313725 0.501960784313725], ...
% 	'ListboxTop',0, ...
% 	'Position',[43.5 117.75 31.5 14.25], ...
% 	'String','Rbn', ...
% 	'Style','checkbox', ...
% 	'Tag','t_RebinX');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
% 	'Callback','hcb t_AutoX', ...
% 	'ForegroundColor',[0.501960784313725 0.501960784313725 0.501960784313725], ...
% 	'ListboxTop',0, ...
% 	'Position',[44.25 136.5 12.75 15.75], ...
% 	'String','Log', ...
% 	'Style','checkbox', ...
% 	'Tag','t_AutoX');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
% 	'ForegroundColor',[0.501960784313725 0.501960784313725 0.501960784313725], ...
% 	'HorizontalAlignment','left', ...
% 	'ListboxTop',0, ...
% 	'Position',[46.5 150 6.75 9], ...
% 	'String','A', ...
% 	'Style','text', ...
% 	'Tag','StaticText3');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
% 	'ForegroundColor',[0.501960784313725 0.501960784313725 0.501960784313725], ...
% 	'HorizontalAlignment','left', ...
% 	'ListboxTop',0, ...
% 	'Position',[123.75 150.75 6.75 9], ...
% 	'String','A', ...
% 	'Style','text', ...
% 	'Tag','StaticText3');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
% 	'Callback','hcb t_AutoY', ...
% 	'ForegroundColor',[0.501960784313725 0.501960784313725 0.501960784313725], ...
% 	'ListboxTop',0, ...
% 	'Position',[121.5 136.5 12.75 15.75], ...
% 	'String','Log', ...
% 	'Style','checkbox', ...
% 	'Tag','t_AutoY');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
% 	'Callback','hcb t_RebinY', ...
% 	'ForegroundColor',[0.501960784313725 0.501960784313725 0.501960784313725], ...
% 	'ListboxTop',0, ...
% 	'Position',[120.75 117 31.5 14.25], ...
% 	'String','Rbn', ...
% 	'Style','checkbox', ...
% 	'Tag','t_RebinY');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
% 	'ForegroundColor',[0.501960784313725 0.501960784313725 0.501960784313725], ...
% 	'HorizontalAlignment','left', ...
% 	'ListboxTop',0, ...
% 	'Position',[132 102.75 19.5 12], ...
% 	'String','Type', ...
% 	'Style','text', ...
% 	'Tag','StaticText3');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.87843137254902 0.87843137254902 0.87843137254902], ...
% 	'Callback','hcb t_RebTypeY', ...
% 	'ListboxTop',0, ...
% 	'Position',[78.75 102 53.25 15.75], ...
% 	'String',' ', ...
% 	'Style','popupmenu', ...
% 	'Tag','t_RebTypeY', ...
% 	'Value',1);
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[1 1 1], ...
% 	'Callback','hcb t_StepY', ...
% 	'ListboxTop',0, ...
% 	'Position',[78.75 117.75 39.75 14], ...
% 	'Style','edit', ...
% 	'Tag','t_StepY');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[1 1 1], ...
% 	'Callback','hcb t_MaxY', ...
% 	'ListboxTop',0, ...
% 	'Position',[78.75 131.75 39.75 14], ...
% 	'Style','edit', ...
% 	'Tag','t_MaxY');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
% 	'ForegroundColor',[0.501960784313725 0.501960784313725 0.501960784313725], ...
% 	'HorizontalAlignment','left', ...
% 	'ListboxTop',0, ...
% 	'Position',[133.5 132.75 19.5 12], ...
% 	'String','Max', ...
% 	'Style','text', ...
% 	'Tag','StaticText3');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
% 	'ForegroundColor',[0.501960784313725 0.501960784313725 0.501960784313725], ...
% 	'HorizontalAlignment','left', ...
% 	'ListboxTop',0, ...
% 	'Position',[134.25 144 19.5 12], ...
% 	'String','Min', ...
% 	'Style','text', ...
% 	'Tag','StaticText3');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[1 1 1], ...
% 	'Callback','hcb t_MinY', ...
% 	'ListboxTop',0, ...
% 	'Position',[78.75 145.75 39.75 14], ...
% 	'Style','edit', ...
% 	'Tag','t_MinY');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
% 	'FontWeight','bold', ...
% 	'ForegroundColor',[0.501960784313725 0.501960784313725 0.501960784313725], ...
% 	'ListboxTop',0, ...
% 	'Position',[81 160.5 47.25 11.25], ...
% 	'String','Y axis', ...
% 	'Style','text', ...
% 	'Tag','StaticText3');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
% 	'Callback','hcb t_NormY', ...
% 	'ForegroundColor',[0.501960784313725 0.501960784313725 0.501960784313725], ...
% 	'ListboxTop',0, ...
% 	'Position',[78.75 89.25 20 14], ...
% 	'String','N', ...
% 	'Style','checkbox', ...
% 	'Tag','t_NormY');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
% 	'Callback','hcb t_NormX', ...
% 	'ForegroundColor',[0.501960784313725 0.501960784313725 0.501960784313725], ...
% 	'ListboxTop',0, ...
% 	'Position',[1.5 88.5 20 14], ...
% 	'String','N', ...
% 	'Style','checkbox', ...
% 	'Tag','t_NormX');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[1 1 1], ...
% 	'Callback','hcb t_NormRelSubX', ...
% 	'ListboxTop',0, ...
% 	'Position',[22.5 87.75 26 14.25], ...
% 	'Style','edit', ...
% 	'Tag','t_NormRelSubX');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[1 1 1], ...
% 	'Callback','hcb t_NormRelSubY', ...
% 	'ListboxTop',0, ...
% 	'Position',[99.75 88.5 26 14.25], ...
% 	'Style','edit', ...
% 	'Tag','t_NormRelSubY');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.87843137254902 0.87843137254902 0.87843137254902], ...
% 	'Callback','hcb t_Dimn', ...
% 	'ListboxTop',0, ...
% 	'Position',[233.25 37.5 57.75 15.75], ...
% 	'String',' ', ...
% 	'Style','popupmenu', ...
% 	'Tag','t_Dimn', ...
% 	'Value',1);
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.87843137254902 0.87843137254902 0.87843137254902], ...
% 	'ForegroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
% 	'ListboxTop',0, ...
% 	'Position',[75 49.5 2.25 119.25], ...
% 	'Style','frame', ...
% 	'Tag','Frame3');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.87843137254902 0.87843137254902 0.87843137254902], ...
% 	'ForegroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
% 	'ListboxTop',0, ...
% 	'Position',[152.25 49.5 2.25 120.75], ...
% 	'Style','frame', ...
% 	'Tag','Frame3');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.87843137254902 0.87843137254902 0.87843137254902], ...
% 	'Callback','hcb p_HistTrc', ...
% 	'ListboxTop',0, ...
% 	'Position',[534.75 36.75 57.75 15.75], ...
% 	'String',' ', ...
% 	'Style','popupmenu', ...
% 	'Tag','p_HistTrc', ...
% 	'Value',1);
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.87843137254902 0.87843137254902 0.87843137254902], ...
% 	'Callback','hcb d_view', ...
% 	'ListboxTop',0, ...
% 	'Position',[230.25 279.75 60 15], ...
% 	'String','View Table', ...
% 	'Tag','d_view');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.87843137254902 0.87843137254902 0.87843137254902], ...
% 	'Callback','hcb h_view', ...
% 	'ListboxTop',0, ...
% 	'Position',[531.75 295.5 60 15], ...
% 	'String','View Table', ...
% 	'Tag','h_view');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.87843137254902 0.87843137254902 0.87843137254902], ...
% 	'Callback','hcb p_view', ...
% 	'ListboxTop',0, ...
% 	'Position',[532.5 54 60 15], ...
% 	'String','View Table', ...
% 	'Tag','p_view');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.87843137254902 0.87843137254902 0.87843137254902], ...
% 	'Callback','hcb t_view', ...
% 	'ListboxTop',0, ...
% 	'Position',[231 54 60 15], ...
% 	'String','View Table', ...
% 	'Tag','t_view');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[1 1 1], ...
% 	'Callback','hcb t_BinY', ...
% 	'ListboxTop',0, ...
% 	'Position',[81 63 67 14], ...
% 	'Style','edit', ...
% 	'Tag','t_BinY');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[1 1 1], ...
% 	'Callback','hcb t_BinX', ...
% 	'ListboxTop',0, ...
% 	'Position',[3.75 63 67 14], ...
% 	'Style','edit', ...
% 	'Tag','t_BinX');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[1 1 1], ...
% 	'Callback','hcb h_BinX', ...
% 	'ListboxTop',0, ...
% 	'Position',[303 276.75 67 14], ...
% 	'Style','edit', ...
% 	'Tag','h_BinX');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[1 1 1], ...
% 	'Callback','hcb h_BinY', ...
% 	'ListboxTop',0, ...
% 	'Position',[380.25 276.75 67 14], ...
% 	'Style','edit', ...
% 	'Tag','h_BinY');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.87843137254902 0.87843137254902 0.87843137254902], ...
% 	'Callback','hcb h_StartFrom', ...
% 	'ListboxTop',0, ...
% 	'Position',[532 268.5 59.25 15.75], ...
% 	'String',mat3, ...
% 	'Style','popupmenu', ...
% 	'Tag','h_StartFrom', ...
% 	'Value',1);
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
% 	'ForegroundColor',[0.501960784313725 0.501960784313725 0.501960784313725], ...
% 	'HorizontalAlignment','left', ...
% 	'ListboxTop',0, ...
% 	'Position',[533.25 285.75 59.25 9.75], ...
% 	'String','Start from:', ...
% 	'Style','text', ...
% 	'Tag','StaticText3');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[1 1 1], ...
% 	'Callback','hcb h_InterpLevZ', ...
% 	'ListboxTop',0, ...
% 	'Position',[457.5 285 36 14], ...
% 	'Style','edit', ...
% 	'Tag','h_InterpLevZ');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
% 	'ForegroundColor',[0.501960784313725 0.501960784313725 0.501960784313725], ...
% 	'HorizontalAlignment','left', ...
% 	'ListboxTop',0, ...
% 	'Position',[496.5 285 30 12], ...
% 	'String','Interp', ...
% 	'Style','text', ...
% 	'Tag','StaticText3');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
% 	'ForegroundColor',[0.501960784313725 0.501960784313725 0.501960784313725], ...
% 	'HorizontalAlignment','left', ...
% 	'ListboxTop',0, ...
% 	'Position',[197.25 72 30 12], ...
% 	'String','Interp', ...
% 	'Style','text', ...
% 	'Tag','StaticText3');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[1 1 1], ...
% 	'Callback','hcb t_InterpLevZ', ...
% 	'ListboxTop',0, ...
% 	'Position',[158.25 72 36 14.25], ...
% 	'Style','edit', ...
% 	'Tag','t_InterpLevZ');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.87843137254902 0.87843137254902 0.87843137254902], ...
% 	'Callback','hcb h_InterpType', ...
% 	'ForegroundColor',[0.501960784313725 0.501960784313725 0.501960784313725], ...
% 	'ListboxTop',0, ...
% 	'Position',[457.5 270 60 13.5], ...
% 	'String','Norm', ...
% 	'Style','popupmenu', ...
% 	'Tag','h_InterpType', ...
% 	'Value',1);
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.87843137254902 0.87843137254902 0.87843137254902], ...
% 	'Callback','hcb t_InterpType', ...
% 	'ForegroundColor',[0.501960784313725 0.501960784313725 0.501960784313725], ...
% 	'ListboxTop',0, ...
% 	'Position',[158.25 57 60 13.5], ...
% 	'String','Norm', ...
% 	'Style','popupmenu', ...
% 	'Tag','t_InterpType', ...
% 	'Value',1);
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
% 	'Callback','h_CalcTime', ...
% 	'FontWeight','bold', ...
% 	'ForegroundColor',[0.501960784313725 0.501960784313725 0.501960784313725], ...
% 	'ListboxTop',0, ...
% 	'Position',[531.75 402.75 60 10.5], ...
% 	'String','00:00:00', ...
% 	'Style','text', ...
% 	'Tag','h_CalcTime');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
% 	'ForegroundColor',[0.501960784313725 0.501960784313725 0.501960784313725], ...
% 	'HorizontalAlignment','left', ...
% 	'ListboxTop',0, ...
% 	'Position',[233.25 266.25 59.25 9.75], ...
% 	'String','Processing Type', ...
% 	'Style','text', ...
% 	'Tag','d_ProcType_txt');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.87843137254902 0.87843137254902 0.87843137254902], ...
% 	'Callback','hcb d_ProcType', ...
% 	'ListboxTop',0, ...
% 	'Position',[232.5 249 59.25 15.75], ...
% 	'String',mat4, ...
% 	'Style','popupmenu', ...
% 	'Tag','d_ProcType', ...
% 	'Value',1);
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.87843137254902 0.87843137254902 0.87843137254902], ...
% 	'Callback','hcb d_process', ...
% 	'ListboxTop',0, ...
% 	'Position',[231.75 219 60 30], ...
% 	'String','Process', ...
% 	'Tag','d_process');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.87843137254902 0.87843137254902 0.87843137254902], ...
% 	'Callback','hcb d_FileType', ...
% 	'ListboxTop',0, ...
% 	'Position',[163.5 369.75 59.25 15.75], ...
% 	'String',mat5, ...
% 	'Style','popupmenu', ...
% 	'Tag','d_FileType', ...
% 	'Value',1);
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
% 	'ForegroundColor',[0.501960784313725 0.501960784313725 0.501960784313725], ...
% 	'HorizontalAlignment','left', ...
% 	'ListboxTop',0, ...
% 	'Position',[120 373.5 42 9], ...
% 	'String','File type:', ...
% 	'Style','text', ...
% 	'Tag','StaticText3');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
% 	'ForegroundColor',[0.501960784313725 0.501960784313725 0.501960784313725], ...
% 	'HorizontalAlignment','left', ...
% 	'ListboxTop',0, ...
% 	'Position',[202.5 277.5 26.25 12], ...
% 	'String','Start', ...
% 	'Style','text', ...
% 	'Tag','d_StartY_txt');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[1 1 1], ...
% 	'Callback','hcb d_StartY', ...
% 	'ListboxTop',0, ...
% 	'Position',[164.25 276 36 14.25], ...
% 	'Style','edit', ...
% 	'Tag','d_StartY');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[1 1 1], ...
% 	'Callback','hcb d_BinY', ...
% 	'ListboxTop',0, ...
% 	'Position',[94.5 276 66.75 14.25], ...
% 	'Style','edit', ...
% 	'Tag','d_BinY');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[1 1 1], ...
% 	'Callback','hcb d_BinsY', ...
% 	'Position',[93 213.75 69.75 63], ...
% 	'String',' ', ...
% 	'Style','listbox', ...
% 	'Tag','d_BinsY', ...
% 	'Value',1);
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
% 	'ForegroundColor',[0.501960784313725 0.501960784313725 0.501960784313725], ...
% 	'HorizontalAlignment','left', ...
% 	'ListboxTop',0, ...
% 	'Position',[94.5 291 15.75 9.75], ...
% 	'String','Bins', ...
% 	'Style','text', ...
% 	'Tag','StaticText3');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.87843137254902 0.87843137254902 0.87843137254902], ...
% 	'Callback','hcb d_BinsY_plus', ...
% 	'ListboxTop',0, ...
% 	'Position',[123 291 9.75 9.75], ...
% 	'String','+', ...
% 	'Tag','d_BinsY_plus');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.87843137254902 0.87843137254902 0.87843137254902], ...
% 	'Callback','hcb d_BinsY_minus', ...
% 	'ListboxTop',0, ...
% 	'Position',[132.75 291 9.75 10.5], ...
% 	'String','-', ...
% 	'Tag','d_BinsY_minus');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.87843137254902 0.87843137254902 0.87843137254902], ...
% 	'Callback','hcb d_BinsY_edit', ...
% 	'ListboxTop',0, ...
% 	'Position',[113.25 291 9.75 9.75], ...
% 	'String','e', ...
% 	'Tag','d_BinsY_edit');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.87843137254902 0.87843137254902 0.87843137254902], ...
% 	'Callback','hcb d_FileList_edit', ...
% 	'ListboxTop',0, ...
% 	'Position',[27.75 372 9.75 9.75], ...
% 	'String','e', ...
% 	'Tag','d_FileList_edit');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.87843137254902 0.87843137254902 0.87843137254902], ...
% 	'Callback','hcb d_FileList_clear', ...
% 	'ListboxTop',0, ...
% 	'Position',[58.5 372 9.75 10.5], ...
% 	'String','c', ...
% 	'Tag','d_FileList_clear');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.87843137254902 0.87843137254902 0.87843137254902], ...
% 	'Callback','hcb d_FileList_minus', ...
% 	'ListboxTop',0, ...
% 	'Position',[47.25 372 9.75 10.5], ...
% 	'String','-', ...
% 	'Tag','d_FileList_minus');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.87843137254902 0.87843137254902 0.87843137254902], ...
% 	'Callback','hcb d_FileList_plus', ...
% 	'ListboxTop',0, ...
% 	'Position',[37.5 372 9.75 9.75], ...
% 	'String','+', ...
% 	'Tag','d_FileList_plus');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
% 	'ForegroundColor',[0.501960784313725 0.501960784313725 0.501960784313725], ...
% 	'HorizontalAlignment','left', ...
% 	'ListboxTop',0, ...
% 	'Position',[9 372 15.75 9.75], ...
% 	'String','Files', ...
% 	'Style','text', ...
% 	'Tag','StaticText3');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[1 1 1], ...
% 	'Callback','hcb d_FileList', ...
% 	'Position',[4.5 328.5 219.75 41.25], ...
% 	'String',' ', ...
% 	'Style','listbox', ...
% 	'Tag','d_FileList', ...
% 	'Value',1);
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.87843137254902 0.87843137254902 0.87843137254902], ...
% 	'ForegroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
% 	'ListboxTop',0, ...
% 	'Position',[-0.75 324.75 229.5 3.75], ...
% 	'Style','frame', ...
% 	'Tag','Frame3');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.87843137254902 0.87843137254902 0.87843137254902], ...
% 	'ForegroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
% 	'ListboxTop',0, ...
% 	'Position',[225.75 215.25 3 105], ...
% 	'Style','frame', ...
% 	'Tag','Frame3');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
% 	'Callback','d_CalcTime', ...
% 	'FontWeight','bold', ...
% 	'ForegroundColor',[0.501960784313725 0.501960784313725 0.501960784313725], ...
% 	'ListboxTop',0, ...
% 	'Position',[231 403.5 60 9.75], ...
% 	'String','00:00:00', ...
% 	'Style','text', ...
% 	'Tag','d_CalcTime');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[1 1 1], ...
% 	'Callback','hcb d_StepY', ...
% 	'ListboxTop',0, ...
% 	'Position',[164.25 260.25 36 14.25], ...
% 	'Style','edit', ...
% 	'Tag','d_StepY');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
% 	'ForegroundColor',[0.501960784313725 0.501960784313725 0.501960784313725], ...
% 	'HorizontalAlignment','left', ...
% 	'ListboxTop',0, ...
% 	'Position',[201.75 261.75 23.25 11.25], ...
% 	'String','Step', ...
% 	'Style','text', ...
% 	'Tag','d_StepY_txt');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.87843137254902 0.87843137254902 0.87843137254902], ...
% 	'Callback','hcb d_BinsY_supp', ...
% 	'ListboxTop',0, ...
% 	'Position',[143.25 291 9.75 10.5], ...
% 	'String','?', ...
% 	'Tag','d_BinsY_supp');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.87843137254902 0.87843137254902 0.87843137254902], ...
% 	'Callback','hcb d_BinsY_clear', ...
% 	'ListboxTop',0, ...
% 	'Position',[153.75 291 9.75 10.5], ...
% 	'String','c', ...
% 	'Tag','d_BinsY_clear');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.87843137254902 0.87843137254902 0.87843137254902], ...
% 	'Callback','hcb h_CalcType', ...
% 	'ListboxTop',0, ...
% 	'Position',[532 252 59.25 15.75], ...
% 	'String',mat6, ...
% 	'Style','popupmenu', ...
% 	'Tag','h_CalcType', ...
% 	'Value',1);
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[1 1 1], ...
% 	'Callback','hcb t_NormRelY', ...
% 	'ListboxTop',0, ...
% 	'Position',[126.75 88.5 26.25 14.25], ...
% 	'Style','edit', ...
% 	'Tag','t_NormRelY');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[1 1 1], ...
% 	'Callback','hcb t_NormRelX', ...
% 	'ListboxTop',0, ...
% 	'Position',[49.5 87.75 26.25 14.25], ...
% 	'Style','edit', ...
% 	'Tag','t_NormRelX');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[1 1 1], ...
% 	'Callback','hcb h_NormRelX', ...
% 	'ListboxTop',0, ...
% 	'Position',[348.75 301.5 26.25 14.25], ...
% 	'Style','edit', ...
% 	'Tag','h_NormRelX');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[1 1 1], ...
% 	'Callback','hcb h_NormRelY', ...
% 	'ListboxTop',0, ...
% 	'Position',[426.75 300.75 26.25 14.25], ...
% 	'Style','edit', ...
% 	'Tag','h_NormRelY');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[1 1 1], ...
% 	'Callback','hcb p_NormRelY', ...
% 	'ListboxTop',0, ...
% 	'Position',[427.5 54.75 26.25 14.25], ...
% 	'Style','edit', ...
% 	'Tag','p_NormRelY');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[1 1 1], ...
% 	'Callback','hcb p_NormRelX', ...
% 	'ListboxTop',0, ...
% 	'Position',[350.25 54 26.25 14.25], ...
% 	'Style','edit', ...
% 	'Tag','p_NormRelX');
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.87843137254902 0.87843137254902 0.87843137254902], ...
% 	'Callback','hcb p_ColMap', ...
% 	'ForegroundColor',[0.501960784313725 0.501960784313725 0.501960784313725], ...
% 	'ListboxTop',0, ...
% 	'Position',[534 86.25 58.5 14.25], ...
% 	'String','Cont', ...
% 	'Style','popupmenu', ...
% 	'Tag','p_ColMap', ...
% 	'Value',1);
% h1 = uicontrol('Parent',h0, ...
% 	'Units','points', ...
% 	'BackgroundColor',[0.87843137254902 0.87843137254902 0.87843137254902], ...
% 	'Callback','hcb p_Lighting', ...
% 	'ForegroundColor',[0.501960784313725 0.501960784313725 0.501960784313725], ...
% 	'ListboxTop',0, ...
% 	'Position',[534 102 58.5 14.25], ...
% 	'String','Cont', ...
% 	'Style','popupmenu', ...
% 	'Tag','p_Lighting', ...
% 	'Value',1);
% h1 = axes('Parent',h0, ...
% 	'CameraUpVector',[0 1 0], ...
% 	'CameraUpVectorMode','manual', ...
% 	'Color','none', ...
% 	'ColorOrder',mat7, ...
% 	'CreateFcn','', ...
% 	'HandleVisibility','off', ...
% 	'HitTest','off', ...
% 	'Position',[0.579746835443038 -0.8714285714285714 1 1], ...
% 	'Tag','ScribeOverlayAxesActive', ...
% 	'Visible','off', ...
% 	'XColor',[0.8 0.8 0.8], ...
% 	'XLimMode','manual', ...
% 	'XTickMode','manual', ...
% 	'YColor',[0.8 0.8 0.8], ...
% 	'YLimMode','manual', ...
% 	'YTickMode','manual', ...
% 	'ZColor',[0 0 0]);
% h2 = text('Parent',h1, ...
% 	'Color',[0.8 0.8 0.8], ...
% 	'HandleVisibility','off', ...
% 	'HorizontalAlignment','center', ...
% 	'Position',[0.4993742177722154 -0.01449275362318847 9.160254037844386], ...
% 	'VerticalAlignment','cap', ...
% 	'Visible','off');
% set(get(h2,'Parent'),'XLabel',h2);
% h2 = text('Parent',h1, ...
% 	'Color',[0.8 0.8 0.8], ...
% 	'HandleVisibility','off', ...
% 	'HorizontalAlignment','center', ...
% 	'Position',[-0.008760951188986232 0.4981884057971016 9.160254037844386], ...
% 	'Rotation',90, ...
% 	'VerticalAlignment','baseline', ...
% 	'Visible','off');
% set(get(h2,'Parent'),'YLabel',h2);
% h2 = text('Parent',h1, ...
% 	'Color',[0 0 0], ...
% 	'HandleVisibility','off', ...
% 	'HorizontalAlignment','right', ...
% 	'Position',[-0.5819774718397998 1.871376811594203 9.160254037844386], ...
% 	'Visible','off');
% set(get(h2,'Parent'),'ZLabel',h2);
% h2 = text('Parent',h1, ...
% 	'Color',[0 0 0], ...
% 	'HandleVisibility','off', ...
% 	'HorizontalAlignment','center', ...
% 	'Position',[0.4993742177722154 1.01268115942029 9.160254037844386], ...
% 	'VerticalAlignment','bottom', ...
% 	'Visible','off');
% set(get(h2,'Parent'),'Title',h2);
% if nargout > 0, fig = h0; end

% Use system color scheme for figure:
% set(h0,'Color',get(0,'defaultUicontrolBackgroundColor'));
% set(fig,'Color',get(0,'defaultUicontrolBackgroundColor'));
% disp('Yes');

