%hstsave - function for hystogram saving
function multifit_save(FileName,FitParameters)

%Inputs:
%FileName -	Filename template
%FitParameters - parameters of the multidistributional fit
DistrNum=size(FitParameters,2);
fx=fopen([FileName,'_multifit-prm.txt'],'w');
fprintf(fx,'Distribution #:\t');
fprintf(fx,'%g\t', [1:(DistrNum-1)]);
fprintf(fx,'%g\n', DistrNum);
fprintf(fx,'Mean:\t');
fprintf(fx,'%g\t', FitParameters(1,1:(end-1)));
fprintf(fx,'%g\n', FitParameters(1,end));
fprintf(fx,'Standard deviation:\t');
fprintf(fx,'%g\t', FitParameters(2,1:(end-1)));
fprintf(fx,'%g\n', FitParameters(2,end));
fprintf(fx,'Amplitude:\t');
fprintf(fx,'%g\t', FitParameters(3,1:(end-1)));
fprintf(fx,'%g\n', FitParameters(3,end));
fclose(fx);
